QGIS Application - Bug report #2062
Georeferencing plugin fails to build on OS X
2009-11-07 02:37 PM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?:
Operating System: OS X Easy fix?:
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data:

No
No
invalid

Copied to github as #: 12122

Description

| get the following error during compilation on my system:

[ 89%] Building CXX object src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsleastsquares.o
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:19:28: error: gsl/gsl_linalg.h: No such file or directory
In file included from /Library/Frameworks/QtCore.framework/Headers/qnamespace.h:45,

from /Library/Frameworks/QtCore.framework/Headers/qobjectdefs.h:45,
from /Library/Frameworks/QtCore.framework/Headers/qobject.h:47,
from /Library/Frameworks/QtCore.framework/Headers/QObject:1,

from /Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:21:
/Library/Frameworks/QtCore.framework/Headers/qglobal.h:315:6: warning: #warning "Support for this version of Mac OS X is still

preliminary”

/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp: In static member function ‘static void
[[QgsLeastSquares]]::helmert(std::vector<QgsPoint, std::allocator<QgsPoint> >, std::vector<QgsPoint, std::allocator<QgsPoint> >,

[[QgsPoint]]&, double&, double&)’:

/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:106:

scope

/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:106:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:107:

scope

/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:107:

/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:108:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:108
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:108:
scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:109
scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:109:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:109
this scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:111:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:111
this scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:112:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:112:
scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:113:
scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:115:

error:

error:
error:

error:
error:

. error:

error:

.error:

error:

.error:

error:

.error:

error:
error:

error:

error:

‘gsl_matrix_view’ was not declared in this

expected ;' before ‘M’
‘gsl_vector_view’ was not declared in this

expected ;' before ‘b’

‘gsl_vector’ was not declared in this scope
‘x” was not declared in this scope
‘gsl_vector_alloc’ was not declared in this

‘gsl_permutation’ was not declared in this

‘p’ was not declared in this scope
‘gsl_permutation_alloc’ was not declared in

‘M’ was not declared in this scope
‘gsl_linalg_LU_decomp’ was not declared in

‘b’ was not declared in this scope
‘gsl_linalg_LU_solve’ was not declared in this

‘gsl_permutation_free’ was not declared in this

‘gsl_vector_get’ was not declared in this scope

/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp: In static member function ‘static void
[[QgsLeastSquares]]::affine(std::vector<QgsPoint, std::allocator<QgsPoint> >, std::vector<QgsPoint, std::allocator<QgsPoint> >)’:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:165: error: ‘gsl_matrix_view’ was not declared in this

scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:165:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:166:
scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:166
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:167:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:167:
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:167
scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:168:
scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:168
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:168:
this scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:170
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:170:
this scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:171
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:171:
scope
/Users/jctull/sources/qgis/trunk/src/plugins/georeferencer/qgsleastsquares.cpp:172:
scope

error:
error:

. error:

error:
error:

.error:

error:

. error:

error:

.error:

error:

. error:

error:

error:

expected ;' before ‘M’
‘gsl_vector_view’ was not declared in this

expected ;' before ‘b’

‘gsl_vector’ was not declared in this scope
‘X’ was not declared in this scope
‘gsl_vector_alloc’ was not declared in this

‘gsl_permutation’ was not declared in this

‘P’ was not declared in this scope
‘gsl_permutation_alloc’ was not declared in

‘M’ was not declared in this scope
‘gsl_linalg_LU_decomp’ was not declared in

‘b’ was not declared in this scope
‘gsl_linalg_LU_solve’ was not declared in this

‘gsl_permutation_free’ was not declared in this

maker2: * [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/qgsleastsquares.o] Error 1

maker1: [src/plugins/georeferencer/CMakeFiles/georefplugin.dir/all] Error 2
make: ** [all] Error 2

History

#1 - 2009-11-22 03:53 PM - John Tull
- Resolution set to invalid
- Status changed from Open to Closed

I am no longer having this problem. It appeared to be a problem with a bad gsl build. Closed
